typeset -g HISTFILE=~/.histfile
typeset -g CACHEPATH=/tmp
typeset -g HISTSIZE=1000
typeset -g SAVEHIST=1000
typeset -g ZLE_RPROMPT_INDENT=0
# Pager and man stuff
typeset -g READNULLCMD=less
export LESS=-iRFXM
export LESS_TERMCAP_md=$'\e[01;31m'
export LESS_TERMCAP_me=$'\e[0m'
export LESS_TERMCAP_se=$'\e[0m'
export LESS_TERMCAP_so=$'\e[01;33m'
export LESS_TERMCAP_ue=$'\e[0m'
export LESS_TERMCAP_us=$'\e[01;32m'

setopt appendhistory autocd auto_param_slash c_bases extendedglob nomatch notify hist_ignore_all_dups hist_ignore_space share_history nobeep

if [[ -r "${ZDOTDIR}/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh" ]]; then
	source ${ZDOTDIR}/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
	typeset -g ZSH_HIGHLIGHT_HIGHLIGHTERS=(
		main
		brackets
		pattern
		cursor
	)
fi

if [[ -r "${ZDOTDIR}/zsh-autosuggestions/zsh-autosuggestions.zsh" ]]; then
	source ${ZDOTDIR}/zsh-autosuggestions/zsh-autosuggestions.zsh
	typeset -g ZSH_AUTOSUGGEST_STRATEGY=(history completion)
	typeset -g ZSH_AUTOSUGGEST_USE_ASYNC=true
fi

zstyle -s ':custom:preferences' prompt REPLY
if [[ $REPLY == "p9k" ]] && [[ -r "${ZDOTDIR}/powerlevel10k/powerlevel10k.zsh-theme" ]]; then
	source ${ZDOTDIR}/powerlevel10k/powerlevel10k.zsh-theme
	source ${ZDOTDIR}/powerlevel-config/all.zsh
else
	autoload -Uz promptinit
	promptinit
	prompt clint
fi
